# Load required libraries #####
#install.packages("xlsx");
#install.packages("ggplot2");
#install.packages("gridExtra");
#install.packages("plyr");
#install.packages("likert");
#install.packages("Hmisc")
#install.packages("openxlsx")
#install.packages("flextable")
#install.packages("magrittr")
#library(likert)
#require(xlsx)
#require(plyr)
#require(gridExtra)
#require(ggplot2)
#require(Hmisc)
#require(officer)
#require(flextable)
#Sys.setlocale("LC_ALL","Greek")
#require(magrittr)
#library(readxl)
#library(haven)
  #library(plyr)
  library(xlsx)
  library("openxlsx")
#### Load data #####

setwd("C:/Users/KFC/Dropbox/Prooptiki/Main_Ongoing_Prooptiki_DomesVias/Data")
## SEN: stoixeia exipiretoumenis nees ##
SEN <- read.xlsx("EETAA_IsotitaVia_StoixeiaAnaExyphretoumenh_Deikths-NeesYpodoxes_20190410_PlusFirstTables.xlsx",
                  sheet = 2, startRow = 1, colNames = TRUE)
SEN$PHLIKIA_ID_DESCR<-factor(SEN$PHLIKIA_ID_DESCR,levels = c("<25", "26-35", "36-45", "46-55", "56-60", ">60"))
SEN_labels <- read.xlsx("EETAA_IsotitaVia_StoixeiaAnaExyphretoumenh_Deikths-NeesYpodoxes_20190410_PlusFirstTables.xlsx",
                 sheet = 1, startRow = 1, colNames = TRUE)

## SEP: stoixeia exipiretoumenis palaias ##

SEP <- read.xlsx("EETAA_IsotitaVia_StoixeiaAnaExyphretoumenh_Deikths-Palaies_20190415.xlsx",
                 sheet = 2, startRow = 1, colNames = TRUE)
SEP_labels <- read.xlsx("EETAA_IsotitaVia_StoixeiaAnaExyphretoumenh_Deikths-Palaies_20190415.xlsx",
                 sheet = 1, startRow = 1, colNames = TRUE)



KEN <- read.xlsx("EETAA_IsotitaVia_KinhseisAnaExyphretoumenh_Deikths-NeesYpodoxes_20190410.xlsx",
                 sheet = 2, startRow = 1, colNames = TRUE)
KEN_labels<-read.xlsx("EETAA_IsotitaVia_KinhseisAnaExyphretoumenh_Deikths-NeesYpodoxes_20190410.xlsx",
                      sheet = 1, startRow = 1, colNames = TRUE)
KEP <- read.xlsx("EETAA_IsotitaVia_KinhseisAnaExyphretoumenh_Deikths-Palaies_20190415.xlsx",
                 sheet = 2, startRow = 1, colNames = TRUE)
KEP_labels <- read.xlsx("EETAA_IsotitaVia_KinhseisAnaExyphretoumenh_Deikths-Palaies_20190415.xlsx",
                 sheet = 1, startRow = 1, colNames = TRUE)
XEFI<- read.xlsx("EETAA_IsotitaVia_Xenones-Filoxenia_20190417.xlsx",
                 sheet = 2, startRow = 1, colNames = TRUE)


O_SIMVOUL<-O_SIMVOUL2<-read.xlsx("results-survey943789-SK.xlsx",
                     sheet = 1, startRow = 1, colNames = TRUE)
O_SIMVOUL_labels<-read.xlsx("results-survey943789-SK.xlsx",
                     sheet = 2, startRow = 1, colNames = TRUE)


O_XENONES<-O_XENONES_2<-read.xlsx("results-survey817575-XF.xlsx",
                     sheet = 1, startRow = 1, colNames = TRUE)
O_XENONES_labels<-read.xlsx("results-survey817575-XF.xlsx",
                     sheet = 2, startRow = 1, colNames = TRUE)


XENONES<-read.xlsx("results-survey264445-xenonon_done.xlsx",
                   sheet = 2, startRow = 1, colNames = TRUE)
XENONES_labels<-read.xlsx("results-survey264445-xenonon_done.xlsx",
                          sheet = 1, startRow = 1, colNames = TRUE)
ODE<-read.xlsx("results-survey393719-ode_done.xlsx",
               sheet = 2, startRow = 1, colNames = TRUE)
ODE_labels<-read.xlsx("results-survey393719-ode_done.xlsx",
               sheet = 1, startRow = 1, colNames = TRUE)

SIMVOUL<-read.xlsx("results-survey517511 -symbouletika.xlsx",
                   sheet = 2, startRow = 1, colNames = TRUE)
SIMVOUL_labels<-read.xlsx("results-survey517511 -symbouletika.xlsx",
                          sheet = 1, startRow = 1, colNames = TRUE)



detach("package:openxlsx", unload=TRUE)
library("xlsx")
options(java.parameters = "-Xmx8192m")  ## memory set to 4 GB



##### Descriptives O_SIMVOUL ----------------------------------------------------- o -------

write.xlsx(t(O_SIMVOUL_labels), file = gsub("-","_",gsub(" ", "_", paste("DomesVias_O_SIMVOUL_Ofeloumenes_",
                                                                         Sys.Date(),"_labels.xlsx",sep=""), 
                                                  fixed = TRUE), fixed = TRUE), sheetName = "O_SIMVOUL_labels", 
           col.names = TRUE, row.names = TRUE, append = TRUE)
source("CatFactorSummaryOverall_percent.R")
source("CatFactorSummaryOverall_numbers.R")

for(i in c(3:99)){ # dim(ODE)[2]
  print(i)
  if(length(levels(factor(O_SIMVOUL[,i])))<50){
    CatFactorTable_overall_number(O_SIMVOUL$Poli,O_SIMVOUL[,i],
                                  sheetNAME = paste0(colnames(O_SIMVOUL)[i],O_SIMVOUL=""), # lbls=XENONES_labels[,i],
                                  table = "O_SIMVOUL",group="Ofeloumenes")
  }
}
for(i in c(3:99)){ # dim(ODE)[2]
  print(i)
  if(length(levels(factor(O_SIMVOUL[,i])))<50){
    CatFactorTable_overall_percent(O_SIMVOUL$Poli,O_SIMVOUL[,i],
                                   sheetNAME = paste0(colnames(O_SIMVOUL)[i],O_SIMVOUL=""), # lbls=XENONES_labels[,i],
                                   table = "O_SIMVOUL",group="Ofeloumenes")
  }
}


for(i in c(3:99)){ # dim(ODE)[2]
  print(i)
  if(length(levels(factor(O_SIMVOUL[,i])))<50){
    CatFactorTable_overall_numbersANDpercents(O_SIMVOUL$Poli,O_SIMVOUL[,i],
                                   sheetNAME = paste0(colnames(O_SIMVOUL)[i],O_SIMVOUL=""), # lbls=XENONES_labels[,i],
                                   table = "O_SIMVOUL",group="Ofeloumenes")
  }
}




##### Descriptives O_XENONES ----------------------------------------------------- o -------

write.xlsx(t(O_XENONES_labels), file = gsub("-","_",gsub(" ", "_", paste("DomesVias_O_XENONES_Ofeloumenes_",Sys.Date(),"_labels.xlsx",sep=""), 
                                                        fixed = TRUE), fixed = TRUE), sheetName = "O_XENONES_labels", 
           col.names = TRUE, row.names = TRUE, append = TRUE)
source("CatFactorSummaryOverall_percent.R")
source("CatFactorSummaryOverall_numbers.R")
source("CatFactorSummaryOverall_numbersANDpercents.R")

for(i in c(3:138)){ # dim(ODE)[2]
  print(i)
  if(length(levels(factor(O_XENONES[,i])))<50){
    CatFactorTable_overall_number(O_XENONES$Poli,O_XENONES[,i],
                                  sheetNAME = paste0(colnames(O_XENONES)[i],O_XENONES=""), # lbls=XENONES_labels[,i],
                                  table = "O_XENONES",group="Ofeloumenes")
  }
}
for(i in c(3:138)){ # dim(ODE)[2]
  print(i)
  if(length(levels(factor(O_XENONES[,i])))<50){
    CatFactorTable_overall_percent(O_XENONES$Poli,O_XENONES[,i],
                                   sheetNAME = paste0(colnames(O_XENONES)[i],O_XENONES=""), # lbls=XENONES_labels[,i],
                                   table = "O_XENONES",group="Ofeloumenes")
  }
}

for(i in c(3:138)){ # dim(ODE)[2]
  print(i)
  if(length(levels(factor(O_XENONES[,i])))<50){
    CatFactorTable_overall_numbersANDpercents(O_XENONES$Poli,O_XENONES[,i],
                                   sheetNAME = paste0(colnames(O_XENONES)[i],O_XENONES=""), # lbls=XENONES_labels[,i],
                                   table = "O_XENONES",group="Ofeloumenes")
  }
}

for(i in c(3:138)){ # dim(ODE)[2]
  print(i)
  if(length(levels(factor(O_XENONES[,i])))<50){
    CatFactorTable_overall_numbersANDpercents(O_XENONES$Poli,O_XENONES[,i],
                                              sheetNAME = paste0(colnames(O_XENONES)[i],O_XENONES=""), # lbls=XENONES_labels[,i],
                                              table = "O_XENONES",group="Ofeloumenes")
  }
}




##### Descriptives SEP ----------------------------------------------------- o -------
SEP[,c(19:33,36:109)][is.na(x = SEP[,c(19:33,36:109)])] <- 0

write.xlsx((SEP_labels), file = gsub("-","_",gsub(" ", "_", paste("DomesVias_SEP_Ofeloumenes_",Sys.Date(),"_labels.xlsx",sep=""), 
                                                  fixed = TRUE), fixed = TRUE), sheetName = "SEP_labels", 
           col.names = TRUE, row.names = TRUE, append = TRUE)
source("CatFactorSummaryOverall_percent.R")
source("CatFactorSummaryOverall_numbers.R")

for(i in c(3:109)){ # dim(ODE)[2]
  print(i)
  CatFactorTable_overall_number(SEP$PERIF_NAME,SEP[,i],
                                sheetNAME = paste0(colnames(SEP)[i],sep=""), # lbls=XENONES_labels[,i],
                                table = "SEP",group="Ofeloumenes")
}
for(i in c(3:109)){ # dim(ODE)[2]
  print(i)
  CatFactorTable_overall_percent(SEP$PERIF_NAME,SEP[,i],
                                 sheetNAME = paste0(colnames(SEP)[i],sep=""), # lbls=XENONES_labels[,i],
                                 table = "SEP",group="Ofeloumenes")
}



for(i in c(3:109)){ # dim(ODE)[2]
  if(length(levels(factor(SEP[,i])))<40){
    print(i)
  CatFactorTable_overall_numbersANDpercents(SEP$PERIF_NAME,SEP[,i],
                                 sheetNAME = paste0(colnames(SEP)[i],sep=""), # lbls=XENONES_labels[,i],
                                 table = "SEP",group="Ofeloumenes")
}
}

##### Descriptives SEN ----------------------------------------------------- o -------
SEN[,c(28:43,45:117)][is.na(x = SEN[,c(28:43,45:117)])] <- 0

write.xlsx((SEN_labels), file = gsub("-","_",gsub(" ", "_", paste("DomesVias_SEN_Ofeloumenes_",Sys.Date(),"_labels.xlsx",sep=""), 
                                                  fixed = TRUE), fixed = TRUE), sheetName = "SEN_labels", 
           col.names = TRUE, row.names = TRUE, append = TRUE)
source("CatFactorSummaryOverall_percent.R")
source("CatFactorSummaryOverall_numbers.R")

for(i in c(3:109)){ # dim(ODE)[2]
  print(i)
  if(length(levels(factor(SEN[,i])))<50){
    CatFactorTable_overall_number(SEN$PERIF_NAME,SEN[,i],
                                  sheetNAME = paste0(colnames(SEN)[i],SEN=""), # lbls=XENONES_labels[,i],
                                  table = "SEN",group="Ofeloumenes")
  }
}
for(i in c(3:109)){ # dim(ODE)[2]
  print(i)
  if(length(levels(factor(SEN[,i])))<50){
    CatFactorTable_overall_percent(SEN$PERIF_NAME,SEN[,i],
                                   sheetNAME = paste0(colnames(SEN)[i],SEN=""), # lbls=XENONES_labels[,i],
                                   table = "SEN",group="Ofeloumenes")
  }
}

for(i in c(3:109)){ # dim(ODE)[2]
  print(i)
  if(length(levels(factor(SEN[,i])))<50){
    CatFactorTable_overall_numbersANDpercents(SEN$PERIF_NAME,SEN[,i],
                                   sheetNAME = paste0(colnames(SEN)[i],SEN=""), # lbls=XENONES_labels[,i],
                                   table = "SEN",group="Ofeloumenes")
  }
}

##### Descriptives SEN - Ana etos ----------------------------------------------------- o -------
SEN[,c(28:43,45:117)][is.na(x = SEN[,c(28:43,45:117)])] <- 0

write.xlsx((SEN_labels), file = gsub("-","_",gsub(" ", "_", paste("DomesVias_SEN_Ofeloumenes_anaEtos_",Sys.Date(),"_labels.xlsx",sep=""), 
                                                  fixed = TRUE), fixed = TRUE), sheetName = "SEN_labels", 
           col.names = TRUE, row.names = TRUE, append = TRUE)
source("CatFactorSummaryOverall_percent.R")
source("CatFactorSummaryOverall_numbers.R")

for(i in c(3:109)){ # dim(ODE)[2]
  print(i)
  if(length(levels(factor(SEN[,i])))<50){
    CatFactorTable_overall_number(SEN$PERIST_DATE_YEAR,SEN[,i],
                                  sheetNAME = paste0(colnames(SEN)[i],SEN=""), # lbls=XENONES_labels[,i],
                                  table = "SEN",group="Ofeloumenes_anaEtos")
  }
}
for(i in c(3:109)){ # dim(ODE)[2]
  print(i)
  if(length(levels(factor(SEN[,i])))<50){
    CatFactorTable_overall_percent(SEN$PERIST_DATE_YEAR,SEN[,i],
                                   sheetNAME = paste0(colnames(SEN)[i],SEN=""), # lbls=XENONES_labels[,i],
                                   table = "SEN",group="Ofeloumenes_anaEtos")
  }
}

for(i in c(3:109)){ # dim(ODE)[2]
  print(i)
  if(length(levels(factor(SEN[,i])))<50){
    CatFactorTable_overall_numbersANDpercents(SEN$PERIST_DATE_YEAR,SEN[,i],
                                   sheetNAME = paste0(colnames(SEN)[i],SEN=""), # lbls=XENONES_labels[,i],
                                   table = "SEN",group="Ofeloumenes_anaEtos")
  }
}






##### Descriptives SEN - Ana Hlikia - Education -  ----------------------------------------------------- o -------
SEN[,c(28:43,45:117)][is.na(x = SEN[,c(28:43,45:117)])] <- 0

for(i in c(3:109)){ 
  print(i)
  if(length(levels(factor(SEN[,i])))<50){
    CatFactorTable_overall_numbersANDpercents(SEN$PHLIKIA_ID_DESCR,SEN[,i],
                                              sheetNAME = paste0(colnames(SEN)[i],SEN=""), # lbls=XENONES_labels[,i],
                                              table = "SEN",group="Ofeloumenes_anaHlikia")
  }
}

SEN$PEKPAIDEYSH_ID_DESCR<-factor(SEN$PEKPAIDEYSH_ID_DESCR)
for(i in c(3:109)){ # dim(ODE)[2]
  print(i)
  if(length(levels(factor(SEN[,i])))<50){
    CatFactorTable_overall_numbersANDpercents(SEN$PEKPAIDEYSH_ID_DESCR,SEN[,i],
                                              sheetNAME = paste0(colnames(SEN)[i],SEN=""), # lbls=XENONES_labels[,i],
                                              table = "SEN",group="Ofeloumenes_anaEdu")
  }
}


SEN$PAPASXOLHSH_ID_DESCR<-factor(SEN$PAPASXOLHSH_ID_DESCR)
for(i in c(3:109)){ # dim(ODE)[2]
  print(i)
  if(length(levels(factor(SEN[,i])))<50){
    CatFactorTable_overall_numbersANDpercents(SEN$PAPASXOLHSH_ID_DESCR,SEN[,i],
                                              sheetNAME = paste0(colnames(SEN)[i],SEN=""), # lbls=XENONES_labels[,i],
                                              table = "SEN",group="Ofeloumenes_anaWork")
  }
}

SEN$PYPHKOOTHTA_ID_DESCR<-factor(SEN$PYPHKOOTHTA_ID_DESCR)
for(i in c(3:109)){ # dim(ODE)[2]
  print(i)
  if(length(levels(factor(SEN[,i])))<50){
    CatFactorTable_overall_numbersANDpercents(SEN$PYPHKOOTHTA_ID_DESCR,SEN[,i],
                                              sheetNAME = paste0(colnames(SEN)[i],SEN=""), # lbls=XENONES_labels[,i],
                                              table = "SEN",group="Ofeloumenes_anaYPhkootita")
  }
}



SEN$PPAIDIA_YN_DESCR<-factor(SEN$PPAIDIA_YN_DESCR)
for(i in c(3:109)){ # dim(ODE)[2]
  print(i)
  if(length(levels(factor(SEN[,i])))<10){
    CatFactorTable_overall_numbersANDpercents(SEN$PPAIDIA_YN_DESCR,SEN[,i],
                                              sheetNAME = paste0(colnames(SEN)[i],SEN=""), # lbls=XENONES_labels[,i],
                                              table = "SEN",group="Ofeloumenes_anaPaidiaNaiOxi2")
  }
}


SEN$DIAKRISEIS_PROSFYGAS<-factor(SEN$DIAKRISEIS_PROSFYGAS)
for(i in c(3:109)){ # dim(ODE)[2]
  print(i)
  if(length(levels(factor(SEN[,i])))<40){
    CatFactorTable_overall_numbersANDpercents(SEN$DIAKRISEIS_PROSFYGAS,SEN[,i],
                                              sheetNAME = paste0(colnames(SEN)[i],SEN=""), # lbls=XENONES_labels[,i],
                                              table = "SEN",group="Ofeloumenes_anaProsfigas")
  }
}


SEN$DIAKRISEIS_METANASTRIA<-factor(SEN$DIAKRISEIS_METANASTRIA)
for(i in c(3:109)){ # dim(ODE)[2]
  print(i)
  if(length(levels(factor(SEN[,i])))<40){
    CatFactorTable_overall_numbersANDpercents(SEN$DIAKRISEIS_METANASTRIA,SEN[,i],
                                              sheetNAME = paste0(colnames(SEN)[i],SEN=""), # lbls=XENONES_labels[,i],
                                              table = "SEN",group="Ofeloumenes_anaMetanastria")
  }
}



##### Descriptives raw KEN ------------------------------------------------------0 ------
### OPEN!!! Here program a routine that save each column a variable containing the median + min,max

write.xlsx((KEN_labels), file = gsub("-","_",gsub(" ", "_", paste("DomesVias_KEN_KEP_",Sys.Date(),".xlsx",sep=""), fixed = TRUE), fixed = TRUE), sheetName = "KEN_labels", 
           col.names = TRUE, row.names = TRUE, append = TRUE)
source("CatFactorSummaryKEN.R")
CatFactorTableKEN(datavector1 = KEN$PERIFEREIA_NAME,dataa = KEN,datavectorrange = 8:28,sheetNAME = "All_KEN")
#round(cbind(apply(KEN[,8:28],2,mean,na.rm=TRUE),apply(KEN[,8:28],2,sd,na.rm=TRUE)),3)



##### Descriptives raw KEP ------------------------------------------------------0 ------
### OPEN!!! Here program a routine that save each column a variable containing the median + min,max

write.xlsx((KEP_labels), file = gsub("-","_",gsub(" ", "_", paste("DomesVias_KEN_KEP_",Sys.Date(),".xlsx",sep=""), fixed = TRUE), fixed = TRUE), sheetName = "KEP_labels", 
           col.names = TRUE, row.names = TRUE, append = TRUE)
source("CatFactorSummaryKEN.R")
CatFactorTableKEN(datavector1 = KEP$PERIF_NAME,data = KEP,datavectorrange = 8:27,sheetNAME = "All_KEP")
round(cbind(apply(KEN[,8:28],2,mean,na.rm=TRUE),apply(KEN[,8:28],2,sd,na.rm=TRUE)),3)


##### Descriptives percent KEN ------------------------------------------------------0 ------
### OPEN!!! Here program a routine that save each column a variable containing the median + min,max

write.xlsx((KEN_labels), file = gsub("-","_",gsub(" ", "_", paste("DomesVias_KEN_KEP_",Sys.Date(),"_percent.xlsx",sep=""), fixed = TRUE), fixed = TRUE), sheetName = "KEN_labels", 
           col.names = TRUE, row.names = TRUE, append = TRUE)
source("CatFactorTableKEN01.R")
CatFactorTableKEN01(datavector1 = KEN$PERIFEREIA_NAME,dataa = KEN,datavectorrange = 8:28,sheetNAME = "All_KEN_percent")

##  Education ###
SENKEN$PEKPAIDEYSH_ID_DESCR<-factor(SENKEN$PEKPAIDEYSH_ID_DESCR)
source("CatFactorTableKEN01.R")
CatFactorTableKEN01(datavector1 = SENKEN$PEKPAIDEYSH_ID_DESCR,dataa = SENKEN,
                    datavectorrange = 125:145,group="EDU_",sheetNAME = "All_KEN_EDU")


round(cbind(apply(KEN[,8:28],2,mean,na.rm=TRUE),apply(KEN[,8:28],2,sd,na.rm=TRUE)),3)

##### Descriptives percent KEP ------------------------------------------------------0 ------
### OPEN!!! Here program a routine that save each column a variable containing the median + min,max

write.xlsx((KEP_labels), file = gsub("-","_",gsub(" ", "_", paste("DomesVias_KEN_KEP_",Sys.Date(),"_percent.xlsx",sep=""), fixed = TRUE), fixed = TRUE), sheetName = "KEP_labels", 
           col.names = TRUE, row.names = TRUE, append = TRUE)
source("CatFactorSummaryKEN.R")
CatFactorTableKEN01(datavector1 = KEP$PERIF_NAME,data = KEP,datavectorrange = 8:27,sheetNAME = "All_KEP_percent")

round(cbind(apply(KEP[,8:27],2,mean,na.rm=TRUE),apply(KEP[,8:27],2,sd,na.rm=TRUE)),3)


  
##### Descriptives Xenones ----------------------------------------------------- o -------

write.xlsx(t(XENONES_labels), file = gsub("-","_",gsub(" ", "_", paste("DomesVias_XENONES_Stelehi_",Sys.Date(),"_labels.xlsx",sep=""), fixed = TRUE), fixed = TRUE), sheetName = "SIMVOUL_labels", 
           col.names = TRUE, row.names = TRUE, append = TRUE)
source("CatFactorSummaryOverall_percent.R")
source("CatFactorSummaryOverall_numbers.R")

for(i in c(6:7,9:169)){ # dim(ODE)[2]
  if(length(levels(factor(XENONES[,i])))<50){
  CatFactorTable_overall_number(XENONES$Perifereia,XENONES[,i],
                                sheetNAME = paste0(colnames(XENONES)[i],sep=""), # lbls=XENONES_labels[,i],
                                table = "XENONES")
  }
}

for(i in c(6:7,9:169)){ # dim(ODE)[2]
  if(length(levels(factor(XENONES[,i])))<50){
    CatFactorTable_overall_percent(XENONES$Perifereia,XENONES[,i],
                                 sheetNAME = paste0(colnames(XENONES)[i],sep=""), # lbls=XENONES_labels[,i],
                                 table = "XENONES")
    }
}
for(i in c(6:7,9:169)){ # dim(ODE)[2]
  print(i)
  if(length(levels(factor(XENONES[,i])))<50){
    CatFactorTable_overall_numbersANDpercents(XENONES$Perifereia,XENONES[,i],
                                              sheetNAME = paste0(colnames(XENONES)[i],sep=""), # lbls=XENONES_labels[,i],
                                              table = "XENONES")
  }
}

  

##### Descriptives ODE ----------------------------------------------------- o -------

write.xlsx(t(ODE_labels), file = gsub("-","_",gsub(" ", "_", paste("DomesVias_ODE_Stelehi_",Sys.Date(),"_labels.xlsx",sep=""), fixed = TRUE), fixed = TRUE), sheetName = "ODE_labels", 
           col.names = TRUE, row.names = TRUE, append = TRUE)
source("CatFactorSummaryOverall_percent.R")
source("CatFactorSummaryOverall_numbers.R")
for(i in c(6:10,12:136)){ # dim(ODE)[2]
  if(length(levels(factor(ODE[,i])))<50){
    CatFactorTable_overall_number(ODE$topos,ODE[,i],sheetNAME = paste0(colnames(ODE)[i],sep=""),
                                  table = "ODE")
  }
}
for(i in c(6:10,12:136)){ # dim(ODE)[2]
  if(length(levels(factor(ODE[,i])))<50){
    CatFactorTable_overall_percent(ODE$topos,ODE[,i],sheetNAME = paste0(colnames(ODE)[i],sep=""),
                                   table = "ODE")
  }
}

for(i in c(6:10,12:136)){ # dim(ODE)[2]
  print(i)
  if(length(levels(factor(ODE[,i])))<50){
    CatFactorTable_overall_numbersANDpercents(ODE$topos,ODE[,i],sheetNAME = paste0(colnames(ODE)[i],sep=""),
                                              table = "ODE")
  }
}

##### Descriptives SIMVOUL ----------------------------------------------------- o -------


write.xlsx(t(SIMVOUL_labels), file = gsub("-","_",gsub(" ", "_", paste("DomesVias_SIMVOUL_Stelehi_",Sys.Date(),"_labels.xlsx",sep=""), fixed = TRUE), fixed = TRUE), sheetName = "SIMVOUL_labels", 
           col.names = TRUE, row.names = TRUE, append = TRUE)
  source("CatFactorSummaryOverall_percent.R")
  source("CatFactorSummaryOverall_numbers.R")
  for(i in c(6:10,12:dim(SIMVOUL)[2])){ # dim(ODE)[2]
    if(length(levels(factor(SIMVOUL[,i])))<50){
      CatFactorTable_overall_number(SIMVOUL$Topos,SIMVOUL[,i],sheetNAME = paste0(colnames(SIMVOUL)[i],sep=""),
                        table = "SIMVOUL")
    }
}
  for(i in c(6:10,12:dim(SIMVOUL)[2])){ # dim(ODE)[2]
    if(length(levels(factor(SIMVOUL[,i])))<50){
      CatFactorTable_overall_percent(SIMVOUL$Topos,SIMVOUL[,i],sheetNAME = paste0(colnames(SIMVOUL)[i],sep=""),
                           table = "SIMVOUL")
    }
  }

for(i in c(6:10,12:dim(SIMVOUL)[2])){ # dim(ODE)[2]
  print(i)
  if(length(levels(factor(SIMVOUL[,i])))<50){
    CatFactorTable_overall_numbersANDpercents(SIMVOUL$Topos,SIMVOUL[,i],sheetNAME = paste0(colnames(SIMVOUL)[i],sep=""),
                                   table = "SIMVOUL")
  }
}
##### Likert All - percent  ----------------------------------------------------- o -------
###--------- ODE ------------ #####
i=ii=1
for(ii in 38:54){
  print(ii)
  ODE[,ii]<-factor(ODE[,ii],levels =c("Πολύ δυσαρεστημένη/ος", "Δυσαρεστημένη/ος",
                          "Ούτε ικανοποιημένη/ος / Ούτε δυσαρεστημένη/ος",
                          "Ικανοποιημένη/ος", "Πολύ ικανοποιημένη/ος"),exclude = "Δεν απαντώ")
}
ODE_out<-as.data.frame.matrix(matrix(NA,16,5))

ik=1
for(i in 38:54){
  ODE_out[ik,]<-round(prop.table(table( ODE[,i]))*100,2);ik=ik+1
}
rownames(ODE_out)<-ODE_labels[,38:54]
colnames(ODE_out)<-c("Πολύ δυσαρεστημένη/ος", "Δυσαρεστημένη/ος",
                      "Ούτε ικανοποιημένη/ος / Ούτε δυσαρεστημένη/ος",
                      "Ικανοποιημένη/ος", "Πολύ ικανοποιημένη/ος")
write.xlsx(ODE_out,gsub("-","_",gsub(" ", "_", paste("Likert_Tables",Sys.Date(),".xlsx",sep=""), fixed = TRUE), fixed = TRUE),
           col.names = TRUE, row.names = TRUE, append = TRUE, sheetName = "ODE_out")
###---------------- SIMVOUL ------------------- #######
i=ii=1
for(i in 51:62){
  SIMVOUL[,i]<-factor(SIMVOUL[,i],levels =c("Ναι","Όχι"),exclude = "Δεν απαντώ")
}
i=ii=1

for(i in 63:80){
  SIMVOUL[,i]<-factor(SIMVOUL[,i],levels =c("Δεν απαντώ","Πολύ δυσαρεστημένη/ος", "Δυσαρεστημένη/ος",
                                    "Ούτε ικανοποιημένη/ος / Ούτε δυσαρεστημένη/ος",
                                    "Ικανοποιημένη/ος", "Πολύ ικανοποιημένη/ος"))
}
SIMVOUL_out01<-as.data.frame.matrix(matrix(NA,12,2))

i=ii=1

ik=1
for(i in 51:62){
  SIMVOUL_out01[ik,]<-round(prop.table(table( SIMVOUL[,i]))*100,2);ik=ik+1
}
rownames(SIMVOUL_out01)<-SIMVOUL_labels[,51:62]
colnames(SIMVOUL_out01)<-c("Ναι","Όχι")


write.xlsx(SIMVOUL_out01,gsub("-","_",gsub(" ", "_", paste("Likert_Tables",Sys.Date(),".xlsx",sep=""), fixed = TRUE), fixed = TRUE),
           col.names = TRUE, row.names = TRUE, append = TRUE, sheetName = "SIMVOUL_out01")

SIMVOUL_out<-as.data.frame.matrix(matrix(NA,18,6))
i=ii=1

ik=1
for(i in 63:80){
  SIMVOUL_out[ik,]<-round(prop.table(table( SIMVOUL[,i]))*100,2);ik=ik+1
}
rownames(SIMVOUL_out)<-SIMVOUL_labels[,63:80]
colnames(SIMVOUL_out)<-c("Δεν απαντώ","Πολύ δυσαρεστημένη/ος", "Δυσαρεστημένη/ος",
                     "Ούτε ικανοποιημένη/ος / Ούτε δυσαρεστημένη/ος",
                     "Ικανοποιημένη/ος", "Πολύ ικανοποιημένη/ος")
write.xlsx(SIMVOUL_out,gsub("-","_",gsub(" ", "_", paste("Likert_Tables",Sys.Date(),".xlsx",sep=""), fixed = TRUE), fixed = TRUE),
           col.names = TRUE, row.names = TRUE, append = TRUE, sheetName = "SIMVOUL_out")

###------------ Xenones ----------------- ##########
i=ii=1
  for(i in 58:69){
    XENONES[,i]<-factor(XENONES[,i],levels =c("Ναι","Όχι"),exclude = "Δεν απαντώ")
  }

for(i in c(70:82,84:87)){
  XENONES[,i]<-factor(XENONES[,i],levels =c("Πολύ δυσαρεστημένη/ος", "Δυσαρεστημένη/ος",
                                            "Ούτε ικανοποιημένη/ος / Ούτε δυσαρεστημένη/ος",
                                            "Ικανοποιημένη/ος", "Πολύ ικανοποιημένη/ος"),exclude = "Δεν απαντώ")
}
XENONES_out01<-as.data.frame.matrix(matrix(NA,12,2))


i=ii=ik=1
for(i in 58:69){
  XENONES_out01[ik,]<-round(prop.table(table( XENONES[,i]))*100,2);ik=ik+1
}
rownames(XENONES_out01)<-XENONES_labels[,58:69]
colnames(XENONES_out01)<-c("Ναι","Όχι")


write.xlsx(XENONES_out01,gsub("-","_",gsub(" ", "_", paste("Likert_Tables",Sys.Date(),".xlsx",sep=""), fixed = TRUE), fixed = TRUE),
           col.names = TRUE, row.names = TRUE, append = TRUE, sheetName = "XENONES_out01")

XENONES_out<-as.data.frame.matrix(matrix(NA,17,5))

i=ii=ik=1
for(i in c(70:82,84:87)){
  XENONES_out[ik,]<-round(prop.table(table( XENONES[,i]))*100,2);ik=ik+1
}
rownames(XENONES_out)<-XENONES_labels[,c(70:82,84:87)]
colnames(XENONES_out)<-c("Πολύ δυσαρεστημένη/ος", "Δυσαρεστημένη/ος",
                         "Ούτε ικανοποιημένη/ος / Ούτε δυσαρεστημένη/ος",
                         "Ικανοποιημένη/ος", "Πολύ ικανοποιημένη/ος")
write.xlsx(XENONES_out,gsub("-","_",gsub(" ", "_", paste("Likert_Tables",Sys.Date(),".xlsx",sep=""), fixed = TRUE), fixed = TRUE),
           col.names = TRUE, row.names = TRUE, append = TRUE, sheetName = "XENONES_out")






###---------------- O_SIMVOUL ------------------- #######

i=ii=1
for(i in 57:74){
  O_SIMVOUL[,i]<-factor(O_SIMVOUL[,i],levels =c("Δεν απαντώ","Καθόλου ικανοποιημένη", "Λίγο ικανοποιημένη",
                                                "Αρκετά ικανοποιημένη",
                                                "Πολύ ικανοποιημένη", "Πλήρως ικανοποιημένη"))
}
O_SIMVOUL_out<-as.data.frame.matrix(matrix(NA,18,6))

ik=1
for(i in 57:74){
  O_SIMVOUL_out[ik,]<-round(prop.table(table( O_SIMVOUL[,i]))*100,2);ik=ik+1
}
rownames(O_SIMVOUL_out)<-O_SIMVOUL_labels[,57:74]
colnames(O_SIMVOUL_out)<-c("Δεν απαντώ","Καθόλου ικανοποιημένη", "Λίγο ικανοποιημένη",
                         "Αρκετά ικανοποιημένη",
                         "Πολύ ικανοποιημένη", "Πλήρως ικανοποιημένη")
write.xlsx(O_SIMVOUL_out,gsub("-","_",gsub(" ", "_", paste("Likert_Tables",Sys.Date(),".xlsx",sep=""), fixed = TRUE), fixed = TRUE),
           col.names = TRUE, row.names = TRUE, append = TRUE, sheetName = "O_SIMVOUL_out")

###------------ O_XENONES ----------------- ##########

# 74 and not 73 because one question was the same
i=ii=1
for(i in c(55:74)){
  O_XENONES[,i]<-factor(O_XENONES[,i],levels =c("Δεν απαντώ", "Καθόλου ικανοποιημένη", 
                                                 "Λίγο ικανοποιημένη", "Αρκετά ικανοποιημένη", 
                                                 "Πολύ ικανοποιημένη", "Πλήρως ικανοποιημένη"))
}

O_XENONES_out<-as.data.frame.matrix(matrix(NA,19,6))

ik=1
for(i in c(55:74)){
  O_XENONES_out[ik,]<-round(prop.table(table( O_XENONES[,i]))*100,2);ik=ik+1
}
rownames(O_XENONES_out)<-O_XENONES_labels[,c(55:74)]
colnames(O_XENONES_out)<-c("Δεν απαντώ","Καθόλου ικανοποιημένη", "Λίγο ικανοποιημένη",
                           "Αρκετά ικανοποιημένη",
                           "Πολύ ικανοποιημένη", "Πλήρως ικανοποιημένη")
write.xlsx(O_XENONES_out,gsub("-","_",gsub(" ", "_", paste("Likert_Tables",Sys.Date(),".xlsx",sep=""), fixed = TRUE), fixed = TRUE),
           col.names = TRUE, row.names = TRUE, append = TRUE, sheetName = "O_XENONES_out")







##### Likert All numbers  ----------------------------------------------------- o -------
###--------- ODE ------------ #####
i=ii=1
for(ii in 38:54){
  print(ii)
  ODE[,ii]<-factor(ODE[,ii],levels =c("Πολύ δυσαρεστημένη/ος", "Δυσαρεστημένη/ος",
                                      "Ούτε ικανοποιημένη/ος / Ούτε δυσαρεστημένη/ος",
                                      "Ικανοποιημένη/ος", "Πολύ ικανοποιημένη/ος"),exclude = "Δεν απαντώ")
}
ODE_out<-as.data.frame.matrix(matrix(NA,16,5))

ik=1
for(i in 38:54){
  ODE_out[ik,]<-table( ODE[,i]);ik=ik+1
}
rownames(ODE_out)<-ODE_labels[,38:54]
colnames(ODE_out)<-c("Πολύ δυσαρεστημένη/ος", "Δυσαρεστημένη/ος",
                     "Ούτε ικανοποιημένη/ος / Ούτε δυσαρεστημένη/ος",
                     "Ικανοποιημένη/ος", "Πολύ ικανοποιημένη/ος")
write.xlsx(ODE_out,gsub("-","_",gsub(" ", "_", paste("Likert_Tables_numbers",Sys.Date(),".xlsx",sep=""), fixed = TRUE), fixed = TRUE),
           col.names = TRUE, row.names = TRUE, append = TRUE, sheetName = "ODE_out")
###---------------- SIMVOUL ------------------- #######
i=ii=1
for(i in 51:62){
  SIMVOUL[,i]<-factor(SIMVOUL[,i],levels =c("Ναι","Όχι"),exclude = "Δεν απαντώ")
}
i=ii=1

for(i in 63:80){
  SIMVOUL[,i]<-factor(SIMVOUL[,i],levels =c("Δεν απαντώ","Πολύ δυσαρεστημένη/ος", "Δυσαρεστημένη/ος",
                                            "Ούτε ικανοποιημένη/ος / Ούτε δυσαρεστημένη/ος",
                                            "Ικανοποιημένη/ος", "Πολύ ικανοποιημένη/ος"))
}
SIMVOUL_out01<-as.data.frame.matrix(matrix(NA,12,2))

i=ii=1

ik=1
for(i in 51:62){
  SIMVOUL_out01[ik,]<-table( SIMVOUL[,i]);ik=ik+1
}
rownames(SIMVOUL_out01)<-SIMVOUL_labels[,51:62]
colnames(SIMVOUL_out01)<-c("Ναι","Όχι")


write.xlsx(SIMVOUL_out01,gsub("-","_",gsub(" ", "_", paste("Likert_Tables_numbers",Sys.Date(),".xlsx",sep=""), fixed = TRUE), fixed = TRUE),
           col.names = TRUE, row.names = TRUE, append = TRUE, sheetName = "SIMVOUL_out01")

SIMVOUL_out<-as.data.frame.matrix(matrix(NA,18,6))
i=ii=1

ik=1
for(i in 63:80){
  SIMVOUL_out[ik,]<-table( SIMVOUL[,i]);ik=ik+1
}
rownames(SIMVOUL_out)<-SIMVOUL_labels[,63:80]
colnames(SIMVOUL_out)<-c("Πολύ δυσαρεστημένη/ος", "Δυσαρεστημένη/ος",
                         "Ούτε ικανοποιημένη/ος / Ούτε δυσαρεστημένη/ος",
                         "Ικανοποιημένη/ος", "Πολύ ικανοποιημένη/ος")
write.xlsx(SIMVOUL_out,gsub("-","_",gsub(" ", "_", paste("Likert_Tables_numbers",Sys.Date(),".xlsx",sep=""), fixed = TRUE), fixed = TRUE),
           col.names = TRUE, row.names = TRUE, append = TRUE, sheetName = "SIMVOUL_out")

###------------ Xenones ----------------- ##########
i=ii=1
for(i in 58:69){
  XENONES[,i]<-factor(XENONES[,i],levels =c("Ναι","Όχι"),exclude = "Δεν απαντώ")
}

for(i in c(70:82,84:87)){
  XENONES[,i]<-factor(XENONES[,i],levels =c("Πολύ δυσαρεστημένη/ος", "Δυσαρεστημένη/ος",
                                            "Ούτε ικανοποιημένη/ος / Ούτε δυσαρεστημένη/ος",
                                            "Ικανοποιημένη/ος", "Πολύ ικανοποιημένη/ος"),exclude = "Δεν απαντώ")
}
XENONES_out01<-as.data.frame.matrix(matrix(NA,12,2))


i=ii=ik=1
for(i in 58:69){
  XENONES_out01[ik,]<-table( XENONES[,i]);ik=ik+1
}
rownames(XENONES_out01)<-XENONES_labels[,58:69]
colnames(XENONES_out01)<-c("Ναι","Όχι")


write.xlsx(XENONES_out01,gsub("-","_",gsub(" ", "_", paste("Likert_Tables_numbers",Sys.Date(),".xlsx",sep=""), fixed = TRUE), fixed = TRUE),
           col.names = TRUE, row.names = TRUE, append = TRUE, sheetName = "XENONES_out01")

XENONES_out<-as.data.frame.matrix(matrix(NA,17,5))

i=ii=ik=1
for(i in c(70:82,84:87)){
  XENONES_out[ik,]<-table( XENONES[,i]);ik=ik+1
}
rownames(XENONES_out)<-XENONES_labels[,c(70:82,84:87)]
colnames(XENONES_out)<-c("Πολύ δυσαρεστημένη/ος", "Δυσαρεστημένη/ος",
                         "Ούτε ικανοποιημένη/ος / Ούτε δυσαρεστημένη/ος",
                         "Ικανοποιημένη/ος", "Πολύ ικανοποιημένη/ος")
write.xlsx(XENONES_out,gsub("-","_",gsub(" ", "_", paste("Likert_Tables_numbers",Sys.Date(),".xlsx",sep=""), fixed = TRUE), fixed = TRUE),
           col.names = TRUE, row.names = TRUE, append = TRUE, sheetName = "XENONES_out")






###---------------- O_SIMVOUL ------------------- #######

i=ii=1
for(i in 57:74){
  O_SIMVOUL[,i]<-factor(O_SIMVOUL[,i],levels =c("Δεν απαντώ","Καθόλου ικανοποιημένη", "Λίγο ικανοποιημένη",
                                                "Αρκετά ικανοποιημένη",
                                                "Πολύ ικανοποιημένη", "Πλήρως ικανοποιημένη"))
}
O_SIMVOUL_out<-as.data.frame.matrix(matrix(NA,18,6))

ik=1
for(i in 57:74){
  O_SIMVOUL_out[ik,]<-table( O_SIMVOUL[,i]);ik=ik+1
}
rownames(O_SIMVOUL_out)<-O_SIMVOUL_labels[,57:74]
colnames(O_SIMVOUL_out)<-c("Δεν απαντώ","Καθόλου ικανοποιημένη", "Λίγο ικανοποιημένη",
                           "Αρκετά ικανοποιημένη",
                           "Πολύ ικανοποιημένη", "Πλήρως ικανοποιημένη")
write.xlsx(O_SIMVOUL_out,gsub("-","_",gsub(" ", "_", paste("Likert_Tables_numbers",Sys.Date(),".xlsx",sep=""), fixed = TRUE), fixed = TRUE),
           col.names = TRUE, row.names = TRUE, append = TRUE, sheetName = "O_SIMVOUL_out")

###------------ O_XENONES ----------------- ##########

# 74 and not 73 because one question was the same
i=ii=1
for(i in c(55:74)){
  O_XENONES[,i]<-factor(O_XENONES[,i],levels =c("Δεν απαντώ", "Καθόλου ικανοποιημένη", 
                                                "Λίγο ικανοποιημένη", "Αρκετά ικανοποιημένη", 
                                                "Πολύ ικανοποιημένη", "Πλήρως ικανοποιημένη"))
}

O_XENONES_out<-as.data.frame.matrix(matrix(NA,19,6))

ik=1
for(i in c(55:74)){
  O_XENONES_out[ik,]<-table( O_XENONES[,i]);ik=ik+1
}
rownames(O_XENONES_out)<-O_XENONES_labels[,c(55:74)]
colnames(O_XENONES_out)<-c("Δεν απαντώ","Καθόλου ικανοποιημένη", "Λίγο ικανοποιημένη",
                           "Αρκετά ικανοποιημένη",
                           "Πολύ ικανοποιημένη", "Πλήρως ικανοποιημένη")
write.xlsx(O_XENONES_out,gsub("-","_",gsub(" ", "_", paste("Likert_Tables_numbers",Sys.Date(),".xlsx",sep=""), fixed = TRUE), fixed = TRUE),
           col.names = TRUE, row.names = TRUE, append = TRUE, sheetName = "O_XENONES_out")





##### DIAFORA ALLA #####
### ---------------- VIA VS KEN -------------------- ####
##### Descriptives SEN ----------------------------------------------------- o -------
SEN[,c(28:43,45:117)][is.na(x = SEN[,c(28:43,45:117)])] <- 0
SENKEN<-merge(SEN,KEN,by.x = "ID", by.y = "ID", all = TRUE)
CatFactorTableKEN01(datavector1 = SENKEN$DIAKRISEIS_ANERGH,dataa = SENKEN,datavectorrange = 125:145,sheetNAME = "All_KEN_ANERGH_percent")
CatFactorTableKEN01(datavector1 = SENKEN$DIAKRISEIS_METANASTRIA,dataa = SENKEN,datavectorrange = 125:145,sheetNAME = "All_KEN_METANASTRIA_percent")
CatFactorTableKEN01(datavector1 = SENKEN$DIAKRISEIS_MONOGONEAS,dataa = SENKEN,datavectorrange = 125:145,sheetNAME = "All_KEN_MONOGENEAS_percent")
CatFactorTableKEN01(datavector1 = SENKEN$DIAKRISEIS_AITOUSA_ASYLO,dataa = SENKEN,datavectorrange = 125:145,sheetNAME = "All_KEN_AITOUSA_percent")
CatFactorTableKEN01(datavector1 = SENKEN$DIAKRISEIS_PROSFYGAS,dataa = SENKEN,datavectorrange = 125:145,sheetNAME = "All_KEN_PROSFYGAS_percent")
CatFactorTableKEN01(datavector1 = SENKEN$DIAKRISEIS_AMEA,dataa = SENKEN,datavectorrange = 125:145,sheetNAME = "All_KEN_AMEA_percent")
CatFactorTableKEN01(datavector1 = SENKEN$DIAKRISEIS_ROMA,dataa = SENKEN,datavectorrange = 125:145,sheetNAME = "All_KEN_ROMA_percent")
CatFactorTableKEN01(datavector1 = SENKEN$DIAKRISEIS_ALLO,dataa = SENKEN,datavectorrange = 125:145,sheetNAME = "All_KEN_ALLO_percent")

CatFactorTableKEN01(datavector1 = SENKEN$VIA_ENDOOIKOGENEIAKH,dataa = SENKEN,datavectorrange = 125:145,sheetNAME = "All_KEN_ENDO_percent")
CatFactorTableKEN01(datavector1 = SENKEN$VIA_SEXOUALIKH_PAREN,dataa = SENKEN,datavectorrange = 125:145,sheetNAME = "All_KEN_SEXOUALIKHPAREN_percent")
CatFactorTableKEN01(datavector1 = SENKEN$VIA_TRAFFICKING,dataa = SENKEN,datavectorrange = 125:145,sheetNAME = "All_KEN_TRAFFICKING_percent")
CatFactorTableKEN01(datavector1 = SENKEN$VIA_VIASMOS,dataa = SENKEN,datavectorrange = 125:145,sheetNAME = "All_KEN_VIASMOS_percent")
CatFactorTableKEN01(datavector1 = SENKEN$VIA_PORNEIA,dataa = SENKEN,datavectorrange = 125:145,sheetNAME = "All_KEN_PORNEIA_percent")
CatFactorTableKEN01(datavector1 = SENKEN$VIA_ALLO,dataa = SENKEN,datavectorrange = 125:145,sheetNAME = "All_KEN_VIAALLO_percent")

SEP[,c(19:33,36:109)][is.na(x = SEP[,c(19:33,36:109)])] <- 0
SEPKEP<-merge(SEP,KEP,by.x = "ID", by.y = "ID", all = TRUE)
CatFactorTableKEN01(datavector1 = SEPKEP$DIAKRISEIS_ANERGH,dataa = SEPKEP,datavectorrange = 115:135,sheetNAME = "All_KEP_ANERGH_percent")
CatFactorTableKEN01(datavector1 = SEPKEP$DIAKRISEIS_METANASTRIA,dataa = SEPKEP,datavectorrange = 115:135,sheetNAME = "All_KEP_METANASTRIA_percent")
CatFactorTableKEN01(datavector1 = SEPKEP$DIAKRISEIS_MONOGONEAS,dataa = SEPKEP,datavectorrange = 115:135,sheetNAME = "All_KEP_MONOGENEAS_percent")
CatFactorTableKEN01(datavector1 = SEPKEP$DIAKRISEIS_PROSFYGAS,dataa = SEPKEP,datavectorrange = 115:135,sheetNAME = "All_KEP_PROSFYGAS_percent")
CatFactorTableKEN01(datavector1 = SEPKEP$DIAKRISEIS_AITOUSA_ASYLO,dataa = SEPKEP,datavectorrange = 115:135,sheetNAME = "All_KEP_AITOUSA_percent")
CatFactorTableKEN01(datavector1 = SEPKEP$DIAKRISEIS_AMEA,dataa = SEPKEP,datavectorrange = 115:135,sheetNAME = "All_KEP_AMEA_percent")
CatFactorTableKEN01(datavector1 = SEPKEP$DIAKRISEIS_ROMA,dataa = SEPKEP,datavectorrange = 115:135,sheetNAME = "All_KEP_ROMA_percent")
CatFactorTableKEN01(datavector1 = SEPKEP$DIAKRISEIS_ALLO,dataa = SEPKEP,datavectorrange = 115:135,sheetNAME = "All_KEP_ALLO_percent")

CatFactorTableKEN01(datavector1 = SEPKEP$VIA_ENDOOIKOGENEIAKH,dataa = SEPKEP,datavectorrange = 115:135,sheetNAME = "All_KEP_ENDO_percent")
CatFactorTableKEN01(datavector1 = SEPKEP$VIA_SEXOUALIKH_PAREN,dataa = SEPKEP,datavectorrange = 115:135,sheetNAME = "All_KEP_SEXOUALIKHPAREN_percent")
CatFactorTableKEN01(datavector1 = SEPKEP$VIA_TRAFFICKING,dataa = SEPKEP,datavectorrange = 115:135,sheetNAME = "All_KEP_TRAFFICKING_percent")
CatFactorTableKEN01(datavector1 = SEPKEP$VIA_VIASMOS,dataa = SEPKEP,datavectorrange = 115:135,sheetNAME = "All_KEP_VIASMOS_percent")
CatFactorTableKEN01(datavector1 = SEPKEP$VIA_PORNEIA,dataa = SEPKEP,datavectorrange = 115:135,sheetNAME = "All_KEP_PORNEIA_percent")
CatFactorTableKEN01(datavector1 = SEPKEP$VIA_ALLO,dataa = SEPKEP,datavectorrange = 115:135,sheetNAME = "All_KEP_VIAALLO_percent")




Datasummary<-cbind(aggregate(. ~ SENKEN$VIA_ENDOOIKOGENEIAKH , SENKEN$PARAP_EXOTERIKES, mean),aggregate(. ~ datavector1, SENKEN, sd))[,-3]



VIA<-(SEN[ , (grepl( "VIA_" , names( SEN ) ) & !grepl( "KOIN_" , names( SEN )) ) ])

SEN[,c(28:43,45:117)][is.na(x = SEN[,c(28:43,45:117)])] <- 0

write.xlsx((SEN_labels), file = gsub("-","_",gsub(" ", "_", paste("DomesVias_SEN_Ofeloumenes_",Sys.Date(),"_labels.xlsx",sep=""), 
                                                  fixed = TRUE), fixed = TRUE), sheetName = "SEN_labels", 
           col.names = TRUE, row.names = TRUE, append = TRUE)
source("CatFactorSummaryOverall_percent.R")
source("CatFactorSummaryOverall_numbers.R")

for(i in c(3:109)){ # dim(ODE)[2]
  print(i)
  if(length(levels(factor(SEN[,i])))<50){
    CatFactorTable_overall_number(SEN$PERIF_NAME,SEN[,i],
                                  sheetNAME = paste0(colnames(SEN)[i],SEN=""), # lbls=XENONES_labels[,i],
                                  table = "SEN",group="Ofeloumenes")
  }
}
for(i in c(3:109)){ # dim(ODE)[2]
  print(i)
  if(length(levels(factor(SEN[,i])))<50){
    CatFactorTable_overall_percent(SEN$PERIF_NAME,SEN[,i],
                                   sheetNAME = paste0(colnames(SEN)[i],SEN=""), # lbls=XENONES_labels[,i],
                                   table = "SEN",group="Ofeloumenes")
  }
}




### --------------- DIAKRISH ---------------- ####
DIAKRISEIS<-(SEN[ , (grepl( "DIAKRISEIS" , names( SEN ) ) ) ])
table(apply(DIAKRISEIS2,1,sum)[apply(DIAKRISEIS2,1,sum)])
colSums(apply(DIAKRISEIS,1,sum)[apply(DIAKRISEIS, 2, as.numeric)])

##### O_XENONES #####
head(O_XENONES)

O_XENONES_SHORT<-(O_XENONES[,c(8:16,19:26,27:38)])
temp=t(data.frame(apply(O_XENONES_SHORT,2,table)))[!grepl("Var1",rownames(t(data.frame(apply(O_XENONES_SHORT,2,table))))),]
temp<-as.data.frame(temp);temp

table(O_XENONES$Poli)

###### O_SIMVOUL ########
t(t(table(O_SIMVOUL$Poli)))

O_SIMVOUL_SHORT<-(O_SIMVOUL[,c(8:16,19:26,27:38)])
temp=t(data.frame(apply(O_SIMVOUL_SHORT,2,table)))[!grepl("Var1",rownames(t(data.frame(apply(O_SIMVOUL_SHORT,2,table))))),]
temp<-as.data.frame(temp);temp
table(O_SIMVOUL$Poli)



######
apply(DIAKRISEIS,1,sum)[apply(DIAKRISEIS)]
SEN$PERIST_DATE_YEAR
SEN$PERIST_KATHG_DESCR
SEN$EPAFH_ID_DESCR
SEN$TRITO_PROSOPO
SEN$PYPHKOOTHTA_ID_DESCR
SEN$PHLIKIA_ID_DESCR
SEN$POIKOGENEIA_ID_DESCR
SEN$PPAIDIA_YN_DESCR
SEN$PPAIDIA_AR
SEN$PEKPAIDEYSH_ID_DESCR
SEN$PAPASXOLHSH_ID_DESCR
SEN$PEPAG_EMPEIRIA_YN_DESCR
SEN$SXESH_DRASTH_ID_DESCR

###### Initial descriptives ######
Relation_Contact<-rbind(as.data.frame.matrix(round(prop.table(table(SEN$SXESH_DRASTH_ID_DESCR,SEN$EPAFH_ID_DESCR),2)*100,2)),
                        Total=apply(as.data.frame.matrix(round(prop.table(table(SEN$SXESH_DRASTH_ID_DESCR,SEN$EPAFH_ID_DESCR),2)*100,2)),2,sum))

Nationality_Relation<-cbind(as.data.frame.matrix(round(prop.table(table(SEN$PYPHKOOTHTA_ID_DESCR,SEN$SXESH_DRASTH_ID_DESCR),1)*100,2)),
                            Total=apply(as.data.frame.matrix(round(prop.table(table(SEN$PYPHKOOTHTA_ID_DESCR,SEN$SXESH_DRASTH_ID_DESCR),1)*100,2)),1,sum))

Relation_Age<-rbind(as.data.frame.matrix(round(prop.table(table(SEN$SXESH_DRASTH_ID_DESCR,SEN$PHLIKIA_ID_DESCR),2)*100,2)),
                    Total=apply(as.data.frame.matrix(round(prop.table(table(SEN$SXESH_DRASTH_ID_DESCR,SEN$PHLIKIA_ID_DESCR),2)*100,2)),2,sum))

Family_Age<-rbind(as.data.frame.matrix(round(prop.table(table(SEN$POIKOGENEIA_ID_DESCR,SEN$PHLIKIA_ID_DESCR),2)*100,2)),
                  Total=apply(as.data.frame.matrix(round(prop.table(table(SEN$POIKOGENEIA_ID_DESCR,SEN$PHLIKIA_ID_DESCR),2)*100,2)),2,sum))

Family_Relation<-rbind(as.data.frame.matrix(round(prop.table(table(SEN$POIKOGENEIA_ID_DESCR,SEN$SXESH_DRASTH_ID_DESCR),2)*100,2)),
                       Total=apply(as.data.frame.matrix(round(prop.table(table(SEN$POIKOGENEIA_ID_DESCR,SEN$SXESH_DRASTH_ID_DESCR),2)*100,2)),2,sum))

Contact_Children<-cbind(as.data.frame.matrix(round(prop.table(table(SEN$PPAIDIA_YN_DESCR,SEN$EPAFH_ID_DESCR),1)*100,2)),
                        Total=apply(as.data.frame.matrix(round(prop.table(table(SEN$PPAIDIA_YN_DESCR,SEN$EPAFH_ID_DESCR),1)*100,2)),1,sum))

Relation_Job<-rbind(as.data.frame.matrix(round(prop.table(table(SEN$SXESH_DRASTH_ID_DESCR,SEN$PAPASXOLHSH_ID_DESCR),2)*100,2)),
                    Total=apply(as.data.frame.matrix(round(prop.table(table(SEN$SXESH_DRASTH_ID_DESCR,SEN$PAPASXOLHSH_ID_DESCR),2)*100,2)),2,sum))

Job_Education<-rbind(as.data.frame.matrix(round(prop.table(table(SEN$PAPASXOLHSH_ID_DESCR,SEN$PEKPAIDEYSH_ID_DESCR),2)*100,2)),
                     Total=apply(as.data.frame.matrix(round(prop.table(table(SEN$PAPASXOLHSH_ID_DESCR,SEN$PEKPAIDEYSH_ID_DESCR),2)*100,2)),2,sum))

Relation_Education<-rbind(as.data.frame.matrix(round(prop.table(table(SEN$SXESH_DRASTH_ID_DESCR,SEN$PEKPAIDEYSH_ID_DESCR),2)*100,2)),
                          Total=apply(as.data.frame.matrix(round(prop.table(table(SEN$SXESH_DRASTH_ID_DESCR,SEN$PEKPAIDEYSH_ID_DESCR),2)*100,2)),2,sum))

write.xlsx2(Relation_Contact, file= "DomesDescriptives.xlsx", sheetName="Relation_Contact",col.names = TRUE, row.names = TRUE) 
write.xlsx2(Nationality_Relation, file= "DomesDescriptives.xlsx", sheetName="Nationality_Relation",col.names = TRUE, row.names = TRUE, append=T) 
write.xlsx2(Relation_Age, file= "DomesDescriptives.xlsx", sheetName="Relation_Age", append=TRUE) 
write.xlsx2(Family_Age,file=  "DomesDescriptives.xlsx", sheetName="Family_Age", append=TRUE) 
write.xlsx2(Family_Relation,file=  "DomesDescriptives.xlsx", sheetName="Family_Relation", append=TRUE) 
write.xlsx2(Contact_Children,file=  "DomesDescriptives.xlsx", sheetName="Contact_Children", append=TRUE) 
write.xlsx2(Relation_Job,file=  "DomesDescriptives.xlsx", sheetName="Relation_Job", append=TRUE) 
write.xlsx2(Job_Education,file=  "DomesDescriptives.xlsx", sheetName="Job_Education", append=TRUE) 
write.xlsx2(Relation_Education,file=  "DomesDescriptives.xlsx", sheetName="Relation_Education", append = TRUE) 

###### Initial descriptives - arxiko aitima ######
table(SEN$ARX_AIT_PSI_ST)
table(SEN$ARX_AIT_KOI_ST)
table(SEN$ARX_AIT_NOM_ST)
table(SEN$ARX_AIT_NOM_VO)
table(SEN$ARX_AIT_FILOX)
table(SEN$ARX_AIT_PLHR)
table(SEN$ARX_AIT_ANEV_ERG)
table(SEN$ARX_AIT_KOINON_PAROX)
table(SEN$ARX_AIT_ERGAS_SYM)
table(SEN$ARX_AIT_ALLO)

# Via
SEN$VIA_ENDOOIKOGENEIAKH
SEN$VIA_SEXOUALIKH_PAREN
SEN$VIA_TRAFFICKING
SEN$VIA_VIASMOS
SEN$VIA_PORNEIA
SEN$VIA_ALLO

SEN$DIAKRISEIS_MONOGONEAS
SEN$DIAKRISEIS_ANERGH
SEN$DIAKRISEIS_PROSFYGAS
SEN$DIAKRISEIS_AITOUSA_ASYLO
SEN$DIAKRISEIS_METANASTRIA
SEN$DIAKRISEIS_AMEA
SEN$DIAKRISEIS_ROMA
SEN$DIAKRISEIS_ALLO

SEN$DIADOSH_TV;SEN$DIADOSH_TV[is.na(SEN$DIADOSH_TV)]<-0
SEN$DIADOSH_RADIO;SEN$DIADOSH_RADIO[is.na(SEN$DIADOSH_RADIO)]<-0
SEN$DIADOSH_TYPOS;SEN$DIADOSH_TYPOS[is.na(SEN$DIADOSH_TYPOS)]<-0
SEN$DIADOSH_ENTYPA;SEN$DIADOSH_ENTYPA[is.na(SEN$DIADOSH_ENTYPA)]<-0
SEN$DIADOSH_INTERNET;SEN$DIADOSH_INTERNET[is.na(SEN$DIADOSH_INTERNET)]<-0
SEN$DIADOSH_GRAMMH_SOS;SEN$DIADOSH_GRAMMH_SOS[is.na(SEN$DIADOSH_GRAMMH_SOS)]<-0
SEN$DIADOSH_ALLH_EXYP;SEN$DIADOSH_ALLH_EXYP[is.na(SEN$DIADOSH_ALLH_EXYP)]<-0
SEN$DIADOSH_FILIKO_PROS;SEN$DIADOSH_FILIKO_PROS[is.na(SEN$DIADOSH_FILIKO_PROS)]<-0
SEN$DIADOSH_ALLOS_FOREAS;SEN$DIADOSH_ALLOS_FOREAS[is.na(SEN$DIADOSH_ALLOS_FOREAS)]<-0
SEN$DIADOSH_ALLO;SEN$DIADOSH_ALLO[is.na(SEN$DIADOSH_ALLO)]<-0


#### Diadosi apo TV se mikroteres ilikies xeirotera, se megales ilikies kaliteras
#### Diadosi apo Radio mesi ilikia kalitera
#### Diadosi apo entipa mesi pros megali kalitera.
#### Diadosi apo grammi,internet, allo, filiko prosopo, allos foreas paromoia.
#### Diadosi apo alli exipiretoumeni <25 kalitera.
round(prop.table(table(SEN$PYPHKOOTHTA_ID_DESCR,SEN$DIADOSH_TV),2),3)
round(prop.table(table(SEN$PHLIKIA_ID_DESCR,SEN$DIADOSH_RADIO),2),3)
round(prop.table(table(SEN$PHLIKIA_ID_DESCR,SEN$DIADOSH_TYPOS),2),3)
round(prop.table(table(SEN$PHLIKIA_ID_DESCR,SEN$DIADOSH_ENTYPA),2),3)
round(prop.table(table(SEN$PHLIKIA_ID_DESCR,SEN$DIADOSH_INTERNET),2),3)
round(prop.table(table(SEN$PHLIKIA_ID_DESCR,SEN$DIADOSH_GRAMMH_SOS),2),3)
round(prop.table(table(SEN$PHLIKIA_ID_DESCR,SEN$DIADOSH_ALLH_EXYP),2),3)
round(prop.table(table(SEN$PHLIKIA_ID_DESCR,SEN$DIADOSH_FILIKO_PROS),2),3)
round(prop.table(table(SEN$PHLIKIA_ID_DESCR,SEN$DIADOSH_ALLOS_FOREAS),2),3)
round(prop.table(table(SEN$PHLIKIA_ID_DESCR,SEN$DIADOSH_ALLO),2),3)


round(prop.table(table(SEN$PERIST_DATE_MONTH,SEN$PYPHKOOTHTA_ID_DESCR),1),3)
round(prop.table(table(SEN$PERIST_DATE_MONTH,SEN$DIADOSH_RADIO),1),3)
round(prop.table(table(SEN$PERIST_DATE_MONTH,SEN$DIADOSH_TYPOS),1),3)
round(prop.table(table(SEN$PERIST_DATE_MONTH,SEN$DIADOSH_ENTYPA),1),3)
round(prop.table(table(SEN$PERIST_DATE_MONTH,SEN$DIADOSH_INTERNET),1),3)
round(prop.table(table(SEN$PERIST_DATE_MONTH,SEN$DIADOSH_GRAMMH_SOS),1),3)
round(prop.table(table(SEN$PERIST_DATE_MONTH,SEN$DIADOSH_ALLH_EXYP),1),3)
round(prop.table(table(SEN$PERIST_DATE_MONTH,SEN$DIADOSH_FILIKO_PROS),1),3)
round(prop.table(table(SEN$PERIST_DATE_MONTH,SEN$DIADOSH_ALLOS_FOREAS),1),3)
round(prop.table(table(SEN$PERIST_DATE_MONTH,SEN$DIADOSH_ALLO),1),3)




# Koinoniko Istoriko - Dimografika #
SEN$KOIN_PROSFYGIKO_ID_DESCR
SEN$KOIN_OIKOGENEIA_ID_DESCR
SEN$KOIN_PROVL_YGEIAS_YN_DESCR
SEN$KOIN_ETER_MOUSOULMANA
SEN$KOIN_ETER_ROMA
SEN$KOIN_ETER_POLITISMIKES
SEN$KOIN_ETER_THRHSKEVTIKES
SEN$KOIN_ETER_FYLOU
SEN$KOIN_ETER_SEXOUALIKOU_PROS
SEN$KOIN_ETER_ANAPHRIA
SEN$KOIN_ETER_DXDA
SEN$KOIN_ETER_ALLO

# Koinoniko Istoriko - Kakopoiisi #
SEN$KOIN_KAKOP_MORFH_PSIXOLOGIKH
SEN$KOIN_KAKOP_MORFH_SOMATIKH
SEN$KOIN_KAKOP_MORFH_SEXOUALIKH
SEN$KOIN_KAKOP_MORFH_OIKONOMIKH
SEN$KOIN_KAKOP_MORFH_DXDA
SEN$KOIN_KAKOP_YGEIA_SOMATIKA
SEN$KOIN_KAKOP_YGEIA_PSIXOLOGIKA
SEN$KOIN_KAKOP_YGEIA_DXDA
SEN$KOIN_KAKOP_YGEIA_ALLO
SEN$KOIN_OIK_VIA_PM
SEN$KOIN_OIK_VIA_PT
SEN$KOIN_OIK_VIA_MP
SEN$KOIN_OIK_VIA_MT
SEN$KOIN_OIK_VIA_TM
SEN$KOIN_OIK_VIA_TP
SEN$KOIN_OIK_VIA_ADELFIA
SEN$KOIN_OIK_VIA_DXDA

# Koinoniko Istoriko - Anazitisi voitheias #
SEN$KOIN_HELP_FROM_ASTYNOMIA
SEN$KOIN_HELP_FROM_NOSOKOMEIO
SEN$KOIN_HELP_FROM_EIDIKOS_PSI_YG
SEN$KOIN_HELP_FROM_NOMIKOS
SEN$KOIN_HELP_FROM_EISAGGELEAS
SEN$KOIN_HELP_FROM_SYGGENIKO_PER
SEN$KOIN_HELP_FROM_FILIKO_PER
SEN$KOIN_HELP_FROM_DOMES_DIKT_GGIF
SEN$KOIN_HELP_FROM_DXDA
SEN$KOIN_HELP_FROM_ALLO

SEN$KOIN_PARAM_OIKONOMIKOI
SEN$KOIN_PARAM_KOINONIKOI
SEN$KOIN_PARAM_SYNAISTHHMATIKOI
SEN$KOIN_PARAM_PAIDIA
SEN$KOIN_PARAM_APEILH_SOMATIKH
SEN$KOIN_PARAM_APEILH_AVTOKTONIA
SEN$KOIN_PARAM_OXI_YPOST_FOREIS
SEN$KOIN_PARAM_OXI_YPOST_OIKOGEN
SEN$KOIN_PARAM_DXDA
SEN$KOIN_PARAM_ALLO

#### Nomiki katastasi ####
SEN$NOMIKO_AIT_MHNYSH
SEN$NOMIKO_AIT_PERIORISTIKOI
SEN$NOMIKO_AIT_ASFALISTIKA
SEN$NOMIKO_AIT_DIAZYGIO
SEN$NOMIKO_AIT_APOKTHMATA
SEN$NOMIKO_AIT_KATANOMH
SEN$NOMIKO_AIT_ALLO






##### Erotima 2 ##### Poios o vathmos ikanopoiisis ############################## 

write.xlsx(t(XENONES_labels), file = gsub("-","_",gsub(" ", "_", paste("Erotima2_",Sys.Date(),".xlsx",sep=""), fixed = TRUE), fixed = TRUE), sheetName = "SIMVOUL_labels", 
           col.names = TRUE, row.names = TRUE, append = TRUE)
CatFactorTableXENONES(XENONES$Perifereia,XENONES$q10,sheetNAME = "q10")
CatFactorTableXENONES(XENONES$Perifereia,XENONES$q11,sheetNAME = "q10")
